Description: Disabled the "please update" warning
 thanks to Hans Spaans and Rolf Leggewie (Closes: #506685)
Author: Giuseppe Iuculano <giuseppe@iuculano.it>, Katharina Drexel <katharina.drexel@bfh.ch>
Reviewed-by: Craig Small <csmall@debian.org>
Last-Update: 2021-12-20
--- a/wp-admin/includes/update.php
+++ b/wp-admin/includes/update.php
@@ -34,6 +34,10 @@
  * @return array|false Array of the update objects on success, false on failure.
  */
 function get_core_updates( $options = array() ) {
+	if (!defined('WP_AUTO_UPDATE_CORE'))
+		define('WP_AUTO_UPDATE_CORE', true);
+	if ( false === WP_AUTO_UPDATE_CORE )
+		return array();
 	$options   = array_merge(
 		array(
 			'available' => true,
